{$q+,r+,o-}
uses
    tools;

var
    root: longint;
begin
    randseed := 3243214;
    root := generateFree(0, 5);
    root := expand(root, 0.8);
    root := expand(root, 0.8);
    root := addFeatures(root, 0.5);
    outputRandom(root);
end.
